Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env
Class AbstractSCXMLListener

    java.lang.Object
      org.apache.commons.scxml.env.AbstractSCXMLListener

All Implemented Interfaces:
  SCXMLListener

public abstract class AbstractSCXMLListener
extends Object
implements SCXMLListener

An abstract adapter class for the `SXCMLListener` interface. This class exists as a convenience for creating listener objects, and as such all the methods in this class are empty.

Since:
  0.7

Constructor Summary
`AbstractSCXMLListener()`

Method Summary
`void` | `onEntry(TransitionTarget state)` Handle the entry into a TransitionTarget.
`void` | `onExit(TransitionTarget state)` Handle the exit out of a TransitionTarget.
`void` | `onTransition(TransitionTarget from, TransitionTarget to, Transition transition)` Handle the transition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSCXMLListener

    public AbstractSCXMLListener()

Method Detail

### onEntry

    public void onEntry(TransitionTarget state)

  Description copied from interface: `SCXMLListener`
  Handle the entry into a TransitionTarget.

  Specified by:
    `onEntry` in interface `SCXMLListener`
  Parameters:
    `state` - The TransitionTarget entered
  See Also:
    `SCXMLListener.onEntry(TransitionTarget)`

### onExit

    public void onExit(TransitionTarget state)

  Description copied from interface: `SCXMLListener`
  Handle the exit out of a TransitionTarget.

  Specified by:
    `onExit` in interface `SCXMLListener`
  Parameters:
    `state` - The TransitionTarget exited
  See Also:
    `SCXMLListener.onExit(TransitionTarget)`

### onTransition

    public void onTransition(TransitionTarget from,
                             TransitionTarget to,
                             Transition transition)

  Description copied from interface: `SCXMLListener`
  Handle the transition.

  Specified by:
    `onTransition` in interface `SCXMLListener`
  Parameters:
    `from` - The source TransitionTarget
    `to` - The destination TransitionTarget
    `transition` - The Transition taken
  See Also:
    `SCXMLListener.onTransition(TransitionTarget,TransitionTarget,Transition)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.